Bug 103622 - Help: wrong delimiters for menu commands used in newest help content
Summary: Help: wrong delimiters for menu commands used in newest help content
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Stanislav Horacek
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-01 15:44 UTC by Martin Srebotnjak
Modified: 2016-11-06 09:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2016-11-01 15:44:52 UTC
Description:
Since 5.3.0.0 alpha1 I am noticing (while localizing help) that some new or newly edited entries in help have wrong delimiters for menu commands.
Instead of the long dash (–) the arrow character (→) is used.
Obviously some new author joined the Documentation team but is not aware that the dash is used.

So please correct these few occurences because more and more of them will bring havoc to help content and then to the l10n process.

One string is in file
/helpcontent2/source/text/shared/01.po:
The notebook bar icon size is adjustable in <item type=\"menuitem\">Tools → Options → LibreOffice → View → Notebook bar </item>listbox.
I see more strings in
/helpcontent2/source/text/shared/guide.po, but also one in /nlpsolver/help/en/com.sun.star.comp.Calc.NLPSolver.po

Thanks.

Steps to Reproduce:
1. Open help in Writer in 5.3.0alpha1 (Help - LibreOfficeDev Help)
2. In the "Index" tab enter "notebook bar" in the search text field
3. Press Enter and see in the right tab the help content

Actual Results:  
The help content uses tabulator arrows instead of long dashes.

Expected Results:
There should be long dashes as commands delimiters.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Martin Srebotnjak 2016-11-01 15:46:24 UTC
Sorry for the confusion, I am using long dashes in Slovenian, but in English normal dash should be used.
Comment 2 Stanislav Horacek 2016-11-04 19:41:29 UTC
Patches submitted to Gerrit:
https://gerrit.libreoffice.org/#/c/30572/
https://gerrit.libreoffice.org/#/c/30573/
Comment 3 Adolfo Jayme 2016-11-06 08:55:21 UTC
English help content does not use dashes, but plain old ASCII hyphen-minuses, which are nonsense for describing menu sequences but cannot be fixed now without “bringing havoc”, as Martin says.

Typographically, there are several alternatives (which are actually in use by some savvy LibreOffice translators), such as >, ▸ and →.
Comment 4 Commit Notification 2016-11-06 08:57:14 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2536bd8b267156691f65c535f20b365857f13a96

tdf#103622 do not use arrow as separator of menu commands

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-11-06 08:57:28 UTC
Stanislav Horacek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=8494b1d545c68fd4eeb75d78c692a3ce71ed3caf

tdf#103622 do not use arrow as separator of menu commands